diff -urN gcc-8.1.0-orig/gcc/ChangeLog-2012 gcc-8.1.0/gcc/ChangeLog-2012
--- gcc-8.1.0-orig/gcc/ChangeLog-2012	2013-10-24 06:30:54 +0900
+++ gcc-8.1.0/gcc/ChangeLog-2012	2018-08-21 12:55:58 +0900
@@ -34611,6 +34611,13 @@
 	(ELIMINABLE_REGS): Eliminate from the soft frame pointer,
 	remove the HARD_FRAME_POINTER self-elimination.
 
+2012-02-02  Andrew Church  <achurch@achurch.org>
+
+	* c-family/c-opts.c (case OPT_I): Undeprecate -I- support.
+	* doc/invoke.texi: Likewise.
+	* doc/cpp.texi: Likewise.
+	* doc/cppopts.texi: Likewise.
+
 2012-01-12  Georg-Johann Lay  <avr@gjlay.de>
 
 	PR target/51756
diff -urN gcc-8.1.0-orig/gcc/c-family/c-opts.c gcc-8.1.0/gcc/c-family/c-opts.c
--- gcc-8.1.0-orig/gcc/c-family/c-opts.c	2018-01-18 22:17:37 +0900
+++ gcc-8.1.0/gcc/c-family/c-opts.c	2018-08-21 12:55:58 +0900
@@ -325,7 +325,6 @@
 	    error ("-I- specified twice");
 	  quote_chain_split = true;
 	  split_quote_chain ();
-	  inform (input_location, "obsolete option -I- used, please use -iquote instead");
 	}
       break;
 
diff -urN gcc-8.1.0-orig/gcc/doc/cpp.1 gcc-8.1.0/gcc/doc/cpp.1
--- gcc-8.1.0-orig/gcc/doc/cpp.1	2018-05-02 17:22:00 +0900
+++ gcc-8.1.0/gcc/doc/cpp.1	2018-08-21 12:55:58 +0900
@@ -716,9 +716,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-8.1.0-orig/gcc/doc/cpp.info gcc-8.1.0/gcc/doc/cpp.info
--- gcc-8.1.0-orig/gcc/doc/cpp.info	2018-05-02 17:39:34 +0900
+++ gcc-8.1.0/gcc/doc/cpp.info	2018-08-21 12:56:15 +0900
@@ -4385,9 +4385,7 @@
      System Headers::.
 
 '-I-'
-     Split the include path.  This option has been deprecated.  Please
-     use '-iquote' instead for '-I' directories before the '-I-' and
-     remove the '-I-' option.
+     Split the include path.
 
      Any directories specified with '-I' options before '-I-' are
      searched only for headers requested with '#include "FILE"'; they
diff -urN gcc-8.1.0-orig/gcc/doc/cppdiropts.texi gcc-8.1.0/gcc/doc/cppdiropts.texi
--- gcc-8.1.0-orig/gcc/doc/cppdiropts.texi	2018-01-03 19:03:58 +0900
+++ gcc-8.1.0/gcc/doc/cppdiropts.texi	2018-08-21 12:55:58 +0900
@@ -93,9 +93,6 @@
 @item -I-
 @opindex I-
 Split the include path.
-This option has been deprecated.  Please use @option{-iquote} instead for
-@option{-I} directories before the @option{-I-} and remove the @option{-I-}
-option.
 
 Any directories specified with @option{-I}
 options before @option{-I-} are searched only for headers requested with
diff -urN gcc-8.1.0-orig/gcc/doc/g++.1 gcc-8.1.0/gcc/doc/g++.1
--- gcc-8.1.0-orig/gcc/doc/g++.1	2018-05-02 17:39:35 +0900
+++ gcc-8.1.0/gcc/doc/g++.1	2018-08-21 12:55:58 +0900
@@ -12177,9 +12177,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-8.1.0-orig/gcc/doc/gcc.1 gcc-8.1.0/gcc/doc/gcc.1
--- gcc-8.1.0-orig/gcc/doc/gcc.1	2018-05-02 17:39:35 +0900
+++ gcc-8.1.0/gcc/doc/gcc.1	2018-08-21 12:55:58 +0900
@@ -12177,9 +12177,6 @@
 .IP "\fB\-I\-\fR" 4
 .IX Item "-I-"
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-8.1.0-orig/gcc/doc/gcc.info gcc-8.1.0/gcc/doc/gcc.info
--- gcc-8.1.0-orig/gcc/doc/gcc.info	2018-05-02 17:39:46 +0900
+++ gcc-8.1.0/gcc/doc/gcc.info	2018-08-21 12:56:59 +0900
@@ -12114,9 +12114,7 @@
      directories, use the '-nostdinc' and/or '-isystem' options.
 
 '-I-'
-     Split the include path.  This option has been deprecated.  Please
-     use '-iquote' instead for '-I' directories before the '-I-' and
-     remove the '-I-' option.
+     Split the include path.
 
      Any directories specified with '-I' options before '-I-' are
      searched only for headers requested with '#include "FILE"'; they
